<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>xfce4-panel Reference Manual: xfce4-panel Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
<link rel="home" href="index.html" title="xfce4-panel Reference Manual">
<link rel="next" href="libxfce4panel-fundamentals.html" title="Part I. Fundamentals">
<meta name="generator" content="GTK-Doc V1.34.0 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<div class="book">
<div class="titlepage">
<div>
<div><table class="navigation" id="top" width="100%" cellpadding="2" cellspacing="0"><tr><th valign="middle"><p class="title">xfce4-panel Reference Manual</p></th></tr></table></div>
<div><p class="releaseinfo">
      For xfce4-panel 4.20.3.
      The latest version of this documentation can be found on-line at
      <a class="ulink" href="https://developer.xfce.org/xfce4-panel/index.html" target="_top">https://developer.xfce.org/xfce4-panel/</a>.
    </p></div>
<div><p class="copyright">Copyright © 2025 The Xfce development team</p></div>
</div>
<hr>
</div>
<div class="toc"><dl class="toc">
<dt><span class="part"><a href="libxfce4panel-fundamentals.html">I. Fundamentals</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="libxfce4panel-Version-Information.html">Version Information</a></span><span class="refpurpose"> — Information about the panel version in use.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libxfce4panel-Standard-Enumerations.html">Standard Enumerations</a></span><span class="refpurpose"> — Standard enumerations used by the Xfce Panel.</span>
</dt>
</dl></dd>
<dt><span class="part"><a href="libxfce4panel-plugins.html">II. Panel Plugins</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="XfcePanelPlugin.html">XfcePanelPlugin</a></span><span class="refpurpose"> — Interface for panel plugins</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libxfce4panel-Panel-Plugin-Register-Macros.html">Panel Plugin Register Macros</a></span><span class="refpurpose"> — Register panel plugins that are compiled as modules.</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libxfce4panel-GObject-Oriented-Panel-Plugin-Registers-Macros.html">GObject Oriented Panel Plugin Registers Macros</a></span><span class="refpurpose"> — Macros to register panel plugins, written as GObjects.</span>
</dt>
</dl></dd>
<dt><span class="part"><a href="libxfce4panel-widgets.html">III. Additional Widgets</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="XfceArrowButton.html">XfceArrowButton</a></span><span class="refpurpose"> — Toggle button with arrow</span>
</dt>
<dt>
<span class="refentrytitle"><a href="XfcePanelImage.html">XfcePanelImage</a></span><span class="refpurpose"> — Scalable image suitable for panel plugins</span>
</dt>
</dl></dd>
<dt><span class="part"><a href="libxfce4panel-miscelleanous.html">IV. Miscelleanous</a></span></dt>
<dd><dl>
<dt>
<span class="refentrytitle"><a href="libxfce4panel-Convenience-Functions.html">Convenience Functions</a></span><span class="refpurpose"> — Special purpose widgets and utilities</span>
</dt>
<dt>
<span class="refentrytitle"><a href="libxfce4panel-Commonly-used-plugin-macros.html">Commonly used plugin macros</a></span><span class="refpurpose"> — Various macros to make life easier for plugin developers.</span>
</dt>
</dl></dd>
<dt><span class="index"><a href="api-index-full.html">Index of all symbols</a></span></dt>
<dt><span class="index"><a href="api-index-deprecated.html">Index of deprecated symbols</a></span></dt>
<dt><span class="index"><a href="api-index-4-22.html">Index of new symbols in 4.22</a></span></dt>
<dt><span class="index"><a href="api-index-4-20.html">Index of new symbols in 4.20</a></span></dt>
<dt><span class="index"><a href="api-index-4-18.html">Index of new symbols in 4.18</a></span></dt>
<dt><span class="index"><a href="api-index-4-14.html">Index of new symbols in 4.14</a></span></dt>
<dt><span class="index"><a href="api-index-4-10.html">Index of new symbols in 4.10</a></span></dt>
<dt><span class="index"><a href="api-index-4-8.html">Index of new symbols in 4.8</a></span></dt>
<dt><span class="index"><a href="api-index-4-6.html">Index of new symbols in 4.6</a></span></dt>
<dt><span class="glossary"><a href="annotation-glossary.html">Annotation Glossary</a></span></dt>
</dl></div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.34.0</div>
</body>
</html>